<?php

namespace Teknisa\SM\Service;
use Teknisa\Libs\Util\Environment;
use Teknisa\SM\Factory\Sm00024000ParametrizacaoResultadoContratoMaoDeObraFactory as parametrizacaoMaoDeObraFactory;

class Sm00024000ParametrizacaoResultadoContratoMaoDeObraService
{
    protected $Environment;
    protected $parametrizacaoMaoDeObraFactory;
    
    public function __construct (parametrizacaoMaoDeObraFactory $parametrizacaoMaoDeObraFactory, Environment $Environment) {
        $this->Environment  = $Environment;
        $this->parametrizacaoMaoDeObraFactory =$parametrizacaoMaoDeObraFactory;
    }
   
     /**
     *  A função "validar" que verifica se já existe mao de obra para cada elemento Selecionado 
     *  que está salvo na widget de MaodeObra.
     */
     
    public function validar($cdservorca, $cdcontctbl, $nrorg) {
        foreach($cdcontctbl as $conta){
        
        $params = array(
            "CDSERVORCA"  => $cdservorca,
            "CDCONTCTBL"    => $conta,
            "NRORG"          => $this->Environment->getNrOrg()
        );
        
        $dados = $this->parametrizacaoMaoDeObraFactory-> validar($params); 
        $resultado = $dados[0]["EXISTE"];
        return ($resultado == 0);
    }
        
    }
}

?>